org.apache.log4j.chainsaw

## Class ChainsawAppender

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.apache.log4j.chainsaw.ChainsawAppender

- All Implemented Interfaces:
    org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

      public class ChainsawAppender
      extends org.apache.log4j.AppenderSkeleton

  ChainsawAppender receives LoggingEvents from the local Log4J environment, and appends them into a model that can be used inside a Swing GUI
  Version:
    1.0
  Author:
    Paul Smith

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.AppenderSkeleton

      `closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainsawAppender()` Constructor, initialises the singleton instance of the appender

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateOptions()` Instantiates and activates an instance of a ChainsawViewer to view the contents of this appender.
    `protected void` | `append(org.apache.log4j.spi.LoggingEvent aEvent)` Appends the event
    `void` | `close()` Close does nothing
    `org.apache.log4j.Appender` | `getAppender()`
    `String` | `getApplication()` Returns value of the Application option.
    `String` | `getViewerClass()` Gets the viewer class to use to view the events.
    `boolean` | `requiresLayout()` This appender does not require layout and so return false
    `void` | `setAppender(org.apache.log4j.Appender appender)`
    `void` | `setApplication(String lapp)` The Application option takes a string value which should be the name of the application getting logged
    `void` | `setViewerClass(String classname)` Sets the viewer class to use to view the events.

    - ### Methods inherited from class org.apache.log4j.AppenderSkeleton

      `addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChainsawAppender

          public ChainsawAppender()

      Constructor, initialises the singleton instance of the appender

  - ### Method Detail

    - #### requiresLayout

          public boolean requiresLayout()

      This appender does not require layout and so return false
      Returns:
        false and only false

    - #### getAppender

          public org.apache.log4j.Appender getAppender()

    - #### setAppender

          public void setAppender(org.apache.log4j.Appender appender)

    - #### append

          protected void append(org.apache.log4j.spi.LoggingEvent aEvent)

      Appends the event
      Specified by:
        `append` in class `org.apache.log4j.AppenderSkeleton`
      Parameters:
        `aEvent` - the LoggingEvent to append

    - #### activateOptions

          public void activateOptions()

      Instantiates and activates an instance of a ChainsawViewer to view the contents of this appender.
      Specified by:
        `activateOptions` in interface `org.apache.log4j.spi.OptionHandler`
      Overrides:
        `activateOptions` in class `org.apache.log4j.AppenderSkeleton`

    - #### close

          public void close()

      Close does nothing

    - #### setViewerClass

          public void setViewerClass(String classname)

      Sets the viewer class to use to view the events. The class must implement the ChainsawViewer interface.
      Parameters:
        `classname` - The class name of the viewer class.

    - #### getViewerClass

          public String getViewerClass()

      Gets the viewer class to use to view the events.
      Returns:
        The class name of the viewer class.

    - #### setApplication

          public void setApplication(String lapp)

      The Application option takes a string value which should be the name of the application getting logged

    - #### getApplication

          public String getApplication()

      Returns value of the Application option.

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.